# Interface IMarkerResolution

All Known Subinterfaces:
  `IMarkerResolution2`

All Known Implementing Classes:
  `WorkbenchMarkerResolution`

public interface IMarkerResolution
Resolution for a marker. When run, a resolution would typically eliminate the need for the marker.

Since:
  2.0

## Method Summary

Modifier and Type
Method
Description
`String`
`getLabel()`
Returns a short label indicating what the resolution will do.
`void`
`run(IMarker marker)`
Runs this resolution.

## Method Details

### getLabel

String getLabel()
Returns a short label indicating what the resolution will do.

Returns:
  a short label for this resolution

### run

void run(IMarker marker)
Runs this resolution.

Parameters:
  `marker` - the marker to resolve